jest.dontMock('../Header.jsx');

describe('Header', function() {

  it('changes location to projectList: my when clicking on the brand', function() {

    var React = require('react/addons');
    var TestUtils = React.addons.TestUtils;

    var Header = require('../Header.jsx');
    var AppActions = require('../../actions/AppActions');
    var Location = require('../../stores/Location.js');

    Location.getLocation.mockReturnValueOnce({ projectList: 'my' });

    var ui = TestUtils.renderIntoDocument(<Header />);

    TestUtils.Simulate.click(React.findDOMNode(ui.refs.brand));

    expect(AppActions.changeLocation).toBeCalledWith({ projectList: 'my' });
    expect(ui.refs.createProject).toBeUndefined();
  });

  it('shows the create project item if location is createProject: true', function() {

    var React = require('react/addons');
    var TestUtils = React.addons.TestUtils;

    var Header = require('../Header.jsx');
    var AppActions = require('../../actions/AppActions');
    var Location = require('../../stores/Location.js');

    Location.getLocation.mockReturnValueOnce({ createProject: true });

    var ui = TestUtils.renderIntoDocument(<Header />);

    expect(ui.refs.createProject).toBeDefined();
  });

  it('shows the project details item if location is project: "example"', function() {

    var React = require('react/addons');
    var TestUtils = React.addons.TestUtils;

    var Header = require('../Header.jsx');
    var AppActions = require('../../actions/AppActions');
    var Location = require('../../stores/Location.js');

    Location.getLocation.mockReturnValueOnce({ project: "example" });

    var ui = TestUtils.renderIntoDocument(<Header />);

    expect(ui.refs.createProject).toBeUndefined();
    expect(ui.refs.project).toBeDefined();
  });

});